curl --request POST \
--url https://api.circle.com/v1/match/orders/modify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"feeBps": "3"
}
'import requests
url = "https://api.circle.com/v1/match/orders/modify"
payload = {
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"feeBps": "3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({auctionId: 42, orderId: '550e8400-e29b-41d4-a716-446655440000', feeBps: '3'})
};
fetch('https://api.circle.com/v1/match/orders/modify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending"
}
}{
"code": 137001,
"message": "Insufficient available balance"
}{
"code": 137001,
"message": "Insufficient available balance"
}Modify an order
Changes the fee limit on a resting order. Only the fee changes; the order remains in pending status with its original size and side.
Outside the lock window, the fee can move in either direction. During the lock window, the new value must be more competitive than the current value (lower for BURN orders, higher for MINT orders); a less competitive value returns error 137005. Setting feeBps to null converts the order to a market order.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Auction cycle that contains the order to modify
42
UUID of the order to modify
"550e8400-e29b-41d4-a716-446655440000"
New fee limit in basis points. During the lock window the new value must be more competitive than the current value (lower for BURN, higher for MINT). Set to null to convert the order to a market order.
"3"
Response
Order modified
Show child attributes
Show child attributes
Was this page helpful?